function [g,h]=confunCP(xd)

global BATCON ss dmax

xv2=xd(1:4);
d1=xd(5)*100;
ds1 = 0 : ss : ceil(d1/ss)*ss;
ds2 = ceil(d1/ss)*ss : ss : dmax;
ds1(1)=1e-12; ds1(end)=d1; ds2(1)=d1;

[effv2,tv2,SUv2]=metafunc(xv2);

g(1)=tv2.CS-11;
g(2)=tv2.CD-11;
g(3)=0.32-SUv2;
%

if BATCON=='Y', % adding battery life constant
    % BVP: penalty term for vehicle life > battery life
    [EACdayv2,BVPv2]=getcostPHEV(xv2,ds2);
    g(4)=BVPv2;
end

h=[];