function [minghgs,xdC]=runghgsCH
% run mutli-start for minimzing COST - CHP
global options RS
%        d1; 
lb = 0.0;
ub = 2.0;
%
minghgs=1e6;
sc=0; % count for solutions
for i=1:RS,
    xd0= lb+(ub-lb).*rand(1,1);
	[xd,fval,flag]=fmincon(@calghgsCH,xd0,[],[],[],[],lb,ub,[],options);
    if flag>0,  % a local optimum found
        sc=sc+1;
%         xdCm(:,sc)=xd;
%         minghgsm(sc)=fval; 
        if fval<minghgs, % a better solution found
            disp(sprintf('CH-%3d Solver-flag=%d and new optimal solution found',i,flag ));
            xdC=xd;
            minghgs=fval; 
        else
            disp(sprintf('CH-%3d Solver-flag=%d and no better solution',i,flag ));
        end
    else
        disp(sprintf('CH-%3d Solver-flag=%d and no solution found',i,flag ));
    end
end
