function fval=loglkexp(lambda)

global TRPMILE WTTRDFIN WTSUM

%    Exp-dist pdf: f(x)=lambda*exp(-lambda*x)
% Likelihood func: lambda^N * exp(-lambda*sum(x_i))
%  Log-likelihood: N*log(lambda) - lambda*sum(x_i)

% Customized Exp-dist log-likelihood function accounting for the weights
LL= WTSUM*log(lambda) - lambda*sum(WTTRDFIN.*TRPMILE);

fval=-1*LL; % -LL for maximization
