function fval=getfuelPHEV(x,ds)
% Code to calculate operating fuel consumption per day for a PHEV design.

global kappa

eff=metafunc(x);
sAER=kappa*(x(3)*1000)*x(4)*eff.CD;
% PHEV fuel consumption calculations (gal kg per mile)
% for the parts of d>AER (Charge sustain: CS mode)

fuelday= (ds>sAER).*((ds-sAER)/eff.CS); % fuel consumption per day
fval=fuelday;
