function [ghgsTOT,ghgsVEH1,ghgsVEH2]=calghgsHP(xd)

global ss dmax k
xv2=xd(1:4); d1=xd(5)*100;

ds1 = 0 : ss : ceil(d1/ss)*ss;
ds2 = ceil(d1/ss)*ss : ss : dmax;
ds1(1)=1e-12;
ds1(end)=d1;
ds2(1)=d1;

% VEH#1 = HEV on ds1
HEV1=getHEVCV(ds1);
if d1<ss,
    ghgsVEH1=0; % to prevent trapz integrates on a scalar and fails
else
    ghgsVEH1=trapz(ds1,exppdf(ds1,1/k).*HEV1.ghgsday);
end

% VEH#2 = PHEV runs on ds2
PHEV2ghgsday = getghgsPHEV(xv2,ds2);
if abs(d1-dmax)<ss,
    ghgsVEH2=0;
else
    size(ds2);
    ghgsVEH2=trapz(ds2,exppdf(ds2,1/k).*PHEV2ghgsday);
end

ghgsTOT = ghgsVEH1 + ghgsVEH2;