function dispPH(xd)

global kappa v
xv1=xd(1:4); d1=xd(5)*100;
%
[effv1,tv1,socUS06v1]=metafunc(xv1);
sAERv1=kappa*xv1(3)*1000*xv1(4)*effv1.CD;
%
[ghgsTOT,ghgsVEH1,ghgsVEH2] = calghgsPH(xd);
%
        disp('------------------------------------------');
disp(sprintf('  Li-ion battery GHGs = %0.0f kgCO2e/kWh',v.LiIon ));
disp(sprintf('    NiMH battery GHGs = %0.0f kgCO2e/kWh',v.NiMH ));
disp(sprintf('        Gasoline GHGs = %0.2f kgCO2e/gal',v.gas ));
disp(sprintf('     Electricity GHGs = %0.3f kgCO2e/kWh',v.elec ));
        disp('------------------------------------------');
%        
        disp('---- VEH#1 = PHEV: design solutions ----');        
disp(sprintf('     PHEV AER = %0.4f miles', sAERv1 ));
disp(sprintf('       Engine size x1 = %0.4f (%-0.1f kW)',xv1(1),xv1(1)*57 ));
disp(sprintf('        Motor size x2 = %0.4f (%-0.1f kW)',xv1(2),xv1(2)*52 ));
disp(sprintf('      Battery size x3 = %0.4f (%-0.0f cells)',xv1(3),xv1(3)*1000 ));
disp(sprintf('      Design swing x4 = %0.4f',xv1(4) ));
disp(sprintf('   PHEV efficiency CD = %0.3f mile/kWh', effv1.CD));
disp(sprintf('   PHEV efficiency CS = %0.2f mile/gal', effv1.CS));
disp(sprintf(' Acceleration 0-60 CD = %0.2f secs', tv1.CD ));
disp(sprintf(' Acceleration 0-60 CS = %0.2f secs', tv1.CS ));
disp(sprintf('     SOC after 4 US06 = %0.3f', socUS06v1 ));
disp(sprintf('     Battery capacity = %0.2f kWH', kappa*(xv1(3)*1000) ));
disp(sprintf('    VEH#2 GHGs total = %0.6f kgCO2e',ghgsVEH1));
        disp('---------------------------------------');
        disp('------------- VEH#2 = HEV ---------------');
disp(sprintf('     VEH#2 GHGs total = %0.6f kgCO2e',ghgsVEH2));
        disp('----------------------------------------');
disp(sprintf('   Cutoff-distance d1 = %0.3f miles',d1));
disp(sprintf('   Total GHGs = %0.6f kgCO2e/vehicle-day',ghgsTOT ));
        disp('---------------------------------------');

