function [g,h]=confunCHP(xd)

global BATCON ss dmax

xv3=xd(1:4); d1=xd(5)*100; d2=xd(6)*100;
ds1 = 0 : ss : ceil(d1/ss)*ss;
ds2 = ceil(d1/ss)*ss : ss : ceil(d2/ss)*ss;
ds3 = ceil(d2/ss)*ss : ss : dmax;
ds1(1)=1e-12;
ds1(end)=d1;  ds2(1)=d1;
ds2(end)=d2;  ds3(1)=d2;

[effv3,tv3,SUv3]=metafunc(xv3);

%-------------------------------
g(1)=tv3.CS-11;
g(2)=tv3.CD-11;
g(3)=0.32-SUv3;
%
g(4)=d1-d2;
%-------------------------------
if BATCON=='Y', % adding battery life constant
    % BVP: penalty term for vehicle life > battery life
    [EACdayv3,BVPv3]=getcostPHEV(xv3,ds3);
    g(5)=BVPv3;
end

h=[];