function [mincost,xdC]=runcostCHP
% run mutli-start for minimzing COST - CHP
global options RS
%       x1;     x2;     x3;   x4;   d1;  d2   
lb = [ 15/57;  50/52;  0.2;  0.00; 0.0; 0.0];
ub = [ 60/57; 110/52;  1.0;  0.80; 2.0; 2.0];
% lb(5:6)=1e-5; ub(5:6)=2-1e-5;
%
mincost=1e6;
sc=0; % count for solutions
xdC=ones(6,1);
for i=1:RS,
    xd0= lb+(ub-lb).*rand(6,1);
    if xd0(5)>xd0(6), tmp=xd0(5); xd0(5)=xd0(6); xd0(6)=tmp; end
	[xd,fval,flag]=fmincon(@calcostCHP,xd0,[],[],[],[],lb,ub,@confunCHP,options);
    if flag>0,  % a local optimum found
        sc=sc+1;
%         xdCm(:,sc)=xd;
%         mincostm(sc)=fval; 
        if fval<mincost, % a better solution found
            disp(sprintf('CHP-%3d Solver-flag=%d and new optimal solution found',i,flag ));
            xdC=xd;
            mincost=fval; 
        else
            disp(sprintf('CHP-%3d Solver-flag=%d and no better solution',i,flag ));
        end
    else
        disp(sprintf('CHP-%3d Solver-flag=%d and no solution found',i,flag ));
    end
end
